aboutsummaryrefslogtreecommitdiff
path: root/bin/linux/setbright
diff options
context:
space:
mode:
authorMatt Singleton <matt@xcolour.net>2023-02-03 14:39:07 -0600
committerMatt Singleton <matt@xcolour.net>2023-02-03 14:39:07 -0600
commite9dc4c1090abb01317847c417b75d3960f3da34d (patch)
tree2fb84cf24675f1294f9f7a33ea949d514844c6f1 /bin/linux/setbright
parent969f76a8238e2d43a25740c8272bf635d436f0d3 (diff)
only install platform-appropriate configs based on uname
Diffstat (limited to 'bin/linux/setbright')
-rwxr-xr-xbin/linux/setbright23
1 files changed, 23 insertions, 0 deletions
diff --git a/bin/linux/setbright b/bin/linux/setbright
new file mode 100755
index 0000000..42cd48f
--- /dev/null
+++ b/bin/linux/setbright
@@ -0,0 +1,23 @@
+#!/bin/bash
+
+set -euo pipefail
+
+current=$(brightnessctl -m info | cut -d, -f4 | tr --delete '%')
+case $1 in
+ up)
+ increment=$(( 5 - ( current % 5 ) ))
+ new=$(( current + increment ))
+ if [ $new -gt 100 ]; then
+ new=100
+ fi
+ brightnessctl set $new% > /dev/null 2>&1
+ echo $new;;
+ down)
+ increment=$(( ( ( current - 1 ) % 5 ) + 1 ))
+ new=$(( current - increment ))
+ if [ $new -lt 0 ]; then
+ new=0
+ fi
+ brightnessctl set $new% > /dev/null 2>&1
+ echo $new;;
+esac